Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           libunique
Version:        1.1.6
Release:        2
BuildArch:	i686
Summary:        Single instance support for applications

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gnome.org/~ebassi/source/
Source0:        http://download.gnome.org/sources/libunique/1.1/%{name}-%{version}.tar.bz2

BuildRequires:  gnome-doc-utils
BuildRequires:  libtool
BuildRequires:  gtk-doc

Provides:	unique = %{version}-%{release}
Obsoletes:      unique < %{version}-%{release}

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
Unique is a library for writing single instance applications, that is
applications that are run once and every further call to the same binary
either exits immediately or sends a command to the running instance.

%package devel
Summary: 	Libraries and headers for Unique
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	pkgconfig
Requires: 	gtk-doc
Requires: 	dbus-glib-devel
Requires: 	gtk2+-devel
Provides:       unique-devel = %{version}-%{release}
Obsoletes:	unique-devel < %{version}-%{release}

%description devel
Headers and libraries for Unique.

%prep
%setup -q -n %{name}-%{?version}

%build
%configure --enable-gtk-doc --disable-static --enable-introspection=no
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/libunique-1.0.so.*

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/unique
%{_includedir}/unique-1.0
%{_pkgconfig}/unique-1.0.pc
%{_libdir}/libunique-1.0.so
%{_libdir}/libunique-1.0.la

%changelog
* Tue Jan 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.6-2
- merged libunique and unique package 
- obsoleted unique as libunique is the native name of the package
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 1.1.6-1
- Initial CCux package release
* Wed Apr 01 2009 Christian Wasem <wasem@ccux-linux.de> 1.0.8-1
- initial CCux package release
